#!/bin/bash
clear
declare base=xonotic-data.pk3dir

: ${PROGS_OUT:=$PWD}
export PROGS_OUT
stamp=$(date +"%s")

: ${QCC:=$PWD/gmqcc/gmqcc}
export QCC
export QCCFLAGS_WATERMARK="xonotic-$stamp"

export XONOTIC=1
make -C ${base}
tput bold; tput setaf 2; echo "Compiled successfully!"; tput sgr0
mkdir -vp $(dirname "$0")/compiled
mv -v *.lno $(dirname "$0")/compiled
mv -v *.dat $(dirname "$0")/compiled